package credential

import "encoding/json"

type SNMPCredential struct {
	Credential

	Version            string      `json:"version,omitempty"`
	Community          string      `json:"community,omitempty"`
	AuthenticationType string      `json:"authenticationType,omitempty"`
	User               string      `json:"user,omitempty"`
	Password           string      `json:"password,omitempty"`
	EncryptionType     string      `json:"encryptionType,omitempty"`
	DataEncryptionKey  string      `json:"dataEncryptionKey,omitempty"`
	ContextName        string      `json:"contextName,omitempty"`
	Port               json.Number `json:"port,Number,omitempty"`
	Timeout            json.Number `json:"timeout,Number,omitempty"`
}
